Skip to content
BleemeoBleemeo

Partially update a cloud integration

PATCH
/v1/cloudproviderintegration/{id}/
curl --request PATCH \
--url https://example.com/v1/cloudproviderintegration/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "alias": "example", "enabled": true, "provider": "aws", "config": "example" }'

Update one or more fields of an existing cloud integration.

id
required
string format: uuid

A UUID string identifying this cloud provider integration.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
string format: uuid
account
string format: uuid
alias
string
<= 100 characters
enabled
boolean
provider
  • aws - Amazon Web Services
  • azure - Microsoft Azure
string
Allowed values: aws azure
config
created_at
string format: date-time
last_fetched_at
string format: date-time
nullable
status
Array<string>
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
alias
required
string
<= 100 characters
enabled
boolean
provider
required
  • aws - Amazon Web Services
  • azure - Microsoft Azure
string
Allowed values: aws azure
config
created_at
required
string format: date-time
last_fetched_at
required
string format: date-time
nullable
status
required
Array<string>

Example

{
"provider": "aws"
}